Timezone mismatch between server and mysql database


#1

My installation (1.48.1-27-gc7c1ca2c5) warned me for an outdated PHP version. (7.0.x) After installing PHP 7.3.x there is a timezone mismatch/difference between the server and the database.

The webpage shows a " 502 Bad Gateway (nginx/1.15.8)"

Any suggestions are welcome.

LibreNMS: 1.48.1-27-gc7c1ca2c5
OS: Ubuntu 18.04.1 LTS
PHP: 7.3.2-1

[email protected]:/opt/librenms# ./validate.php
====================================
Component | Version
--------- | -------
LibreNMS  | 1.48.1-27-gc7c1ca2c5
DB Schema | 2019_01_16_195644_add_vrf_id_and_bgpLocalAs (131)
PHP       | 7.3.2-1+ubuntu18.04.1+deb.sury.org+1
MySQL     | 10.1.38-MariaDB-0ubuntu0.18.04.1
RRDTool   | 1.7.0
SNMP      | NET-SNMP 5.7.3
====================================

[OK]    Composer Version: 1.8.3
[OK]    Dependencies up-to-date.
[OK]    Database connection successful
[FAIL]  Time between this server and the mysql database is off
 Mysql time 2019-02-08 13:15:31
 PHP time 2019-02-08 12:15:31

[OK]    Database schema correct
[FAIL]  You have a different system timezone (CET) than the php configured timezone (GMT)
	[FIX]:
	Please correct either your system timezone or your timezone set in php.ini.
# /etc/php/7.3/cli/php.ini
[snip]
[Date]
; Defines the default timezone used by the date functions
; http://php.net/date.timezone
;date.timezone =
date.timezone = "Europe/Amsterdam"
[snip]
# /etc/php/7.3/fpm/php.ini
[snip]
[Date]
; Defines the default timezone used by the date functions
; http://php.net/date.timezone
;date.timezone =
date.timezone = "Europe/Amsterdam"
[snip]
php -i |grep date
[snip]
date.timezone => Europe/Amsterdam => Europe/Amsterdam
[snip]
[email protected]:/opt/librenms# timedatectl status | grep "Time zone"
                       Time zone: Europe/Amsterdam (CET, +0100)

#2

Double check make you don’t have two instance of php installed.

Also MySQL gets the time from the system check that and restart.


#3

Done. But no joy.

[email protected]:/opt/librenms# apt list --installed |grep php

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

libapache2-mod-php7.3/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php-cli-prompt/bionic,now 1.0.3+dfsg-1 all [installed,automatic]
php-common/bionic,now 2:69+ubuntu18.04.1+deb.sury.org+1 all [installed,automatic]
php-composer-ca-bundle/bionic,now 1.1.0-1 all [installed,automatic]
php-composer-semver/bionic,now 1.4.2-1 all [installed,automatic]
php-composer-spdx-licenses/bionic,now 1.3.0-1 all [installed,automatic]
php-imagick/bionic,now 3.4.3-4+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php-json-schema/bionic,now 5.2.6-1 all [installed,automatic]
php-pear/bionic,now 1:1.10.6+submodules+notgz-1+ubuntu18.04.1+deb.sury.org+2 all [installed]
php-psr-log/bionic,now 1.0.2-1 all [installed,automatic]
php-symfony-console/bionic-security,bionic-updates,now 3.4.6+dfsg-1ubuntu0.1 all [installed,automatic]
php-symfony-debug/bionic-security,bionic-updates,now 3.4.6+dfsg-1ubuntu0.1 all [installed,automatic]
php-symfony-filesystem/bionic-security,bionic-updates,now 3.4.6+dfsg-1ubuntu0.1 all [installed,automatic]
php-symfony-finder/bionic-security,bionic-updates,now 3.4.6+dfsg-1ubuntu0.1 all [installed,automatic]
php-symfony-polyfill-mbstring/bionic,now 1.6.0-2 all [installed,automatic]
php-symfony-process/bionic-security,bionic-updates,now 3.4.6+dfsg-1ubuntu0.1 all [installed,automatic]
php7.3/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 all [installed]
php7.3-cli/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-common/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-curl/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-fpm/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-gd/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-gmp/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-intl/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-json/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-mbstring/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-mysql/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-opcache/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.3-readline/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed,automatic]
php7.3-recode/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-snmp/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-tidy/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-xml/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-xmlrpc/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]
php7.3-zip/bionic,now 7.3.2-1+ubuntu18.04.1+deb.sury.org+1 amd64 [installed]

#4

Different time zones doesnt make (afaik) a 503 bad gateway. Something else is wrong with your server

Have you restarted fpm?


#5

I think somehow the timezone interpreted by php/librenms is not correct since:

MariaDB [(none)]> SELECT @@global.time_zone, @@session.time_zone;
+--------------------+---------------------+
| @@global.time_zone | @@session.time_zone |
+--------------------+---------------------+
| SYSTEM             | SYSTEM              |
+--------------------+---------------------+

and

[email protected]:/opt/librenms# timedatectl status
                      Local time: Fri 2019-02-08 14:03:55 CET
                  Universal time: Fri 2019-02-08 13:03:55 UTC
                        RTC time: Fri 2019-02-08 13:03:55
                       Time zone: Europe/Amsterdam (CET, +0100)
       System clock synchronized: yes
systemd-timesyncd.service active: yes
                 RTC in local TZ: no

As stated above the timezone has been correctly defined in:

  • /etc/php/7.3/fpm/php.ini
  • /etc/php/7.3/cli/php.ini

#6

Yes, I’ve rebooted multiple times. The bad gateway was due to the fact that fastcgi_pass was pointed to PHP 7.2 instead of 7.3.

--- librenms.conf	2019-01-17 17:12:04.629999867 +0100
+++ librenms-7.3.conf	2019-02-08 14:10:31.706533973 +0100
@@ -16,7 +16,7 @@
  location ~ \.php {
   include fastcgi.conf;
   fastcgi_split_path_info ^(.+\.php)(/.+)$;
-  fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
+  fastcgi_pass unix:/var/run/php/php7.3-fpm.sock;
  }
  location ~ /\.ht {
   deny all;

But than I hit an other snag that might be related to https://github.com/laravel/framework/issues/25180.

[2019-02-08 13:12:11] production.ERROR: ErrorException: compact(): Undefined variable: operator in /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Query/Builder.php:1229
Stack trace:
#0 [internal function]: Illuminate\Foundation\Bootstrap\HandleExceptions->handleError(8, 'compact(): Unde...', '/opt/librenms/v...', 1229, Array)
#1 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Query/Builder.php(1229): compact('type', 'operator', 'query', 'boolean')
#2 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Query/Builder.php(1179): Illuminate\Database\Query\Builder->addWhereExistsQuery(Object(Illuminate\Database\Query\Builder), 'and', true)
#3 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Query/Builder.php(1203): Illuminate\Database\Query\Builder->whereExists(Object(Closure), 'and', true)
#4 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Builder.php(1254): Illuminate\Database\Query\Builder->whereNotExists(Object(Closure))
#5 /opt/librenms/app/Models/Notification.php(87): Illuminate\Database\Eloquent\Builder->__call('whereNotExists', Array)
#6 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Builder.php(934): App\Models\Notification->scopeIsUnread(Object(Illuminate\Database\Eloquent\Builder), Object(App\Models\User))
#7 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Builder.php(1247): Illuminate\Database\Eloquent\Builder->callScope(Array, Array)
#8 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Model.php(1374): Illuminate\Database\Eloquent\Builder->__call('isUnread', Array)
#9 /opt/librenms/vendor/laravel/framework/src/Illuminate/Database/Eloquent/Model.php(1386): Illuminate\Database\Eloquent\Model->__call('isUnread', Array)
#10 /opt/librenms/app/Checks.php(80): Illuminate\Database\Eloquent\Model::__callStatic('isUnread', Array)
#11 /opt/librenms/app/Http/Controllers/LegacyController.php(11): App\Checks::postAuth()
#12 [internal function]: App\Http\Controllers\LegacyController->index('')
#13 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Controller.php(55): call_user_func_array(Array, Array)
#14 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/ControllerDispatcher.php(44): Illuminate\Routing\Controller->callAction('index', Array)
#15 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Route.php(203): Illuminate\Routing\ControllerDispatcher->dispatch(Object(Illuminate\Routing\Route), Object(App\Http\Controllers\LegacyController), 'index')
#16 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Route.php(160): Illuminate\Routing\Route->runController()
#17 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Router.php(572): Illuminate\Routing\Route->run()
#18 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(30): Illuminate\Routing\Router->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#19 /opt/librenms/app/Http/Middleware/VerifyTwoFactor.php(38): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#20 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): App\Http\Middleware\VerifyTwoFactor->handle(Object(Illuminate\Http\Request), Object(Closure))
#21 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#22 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Middleware/SubstituteBindings.php(41): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#23 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Routing\Middleware\SubstituteBindings->handle(Object(Illuminate\Http\Request), Object(Closure))
#24 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#25 /opt/librenms/vendor/laravel/framework/src/Illuminate/Auth/Middleware/Authenticate.php(43): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#26 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Auth\Middleware\Authenticate->handle(Object(Illuminate\Http\Request), Object(Closure))
#27 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#28 /opt/librenms/app/Http/Middleware/LegacySession.php(44): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#29 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): App\Http\Middleware\LegacySession->handle(Object(Illuminate\Http\Request), Object(Closure))
#30 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#31 /opt/librenms/app/Http/Middleware/LegacyExternalAuth.php(45): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#32 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): App\Http\Middleware\LegacyExternalAuth->handle(Object(Illuminate\Http\Request), Object(Closure))
#33 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#34 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/VerifyCsrfToken.php(65): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#35 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Foundation\Http\Middleware\VerifyCsrfToken->handle(Object(Illuminate\Http\Request), Object(Closure))
#36 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#37 /opt/librenms/vendor/laravel/framework/src/Illuminate/View/Middleware/ShareErrorsFromSession.php(49): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#38 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\View\Middleware\ShareErrorsFromSession->handle(Object(Illuminate\Http\Request), Object(Closure))
#39 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#40 /opt/librenms/vendor/laravel/framework/src/Illuminate/Session/Middleware/StartSession.php(64): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#41 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Session\Middleware\StartSession->handle(Object(Illuminate\Http\Request), Object(Closure))
#42 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#43 /opt/librenms/vendor/laravel/framework/src/Illuminate/Cookie/Middleware/AddQueuedCookiesToResponse.php(37): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#44 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Cookie\Middleware\AddQueuedCookiesToResponse->handle(Object(Illuminate\Http\Request), Object(Closure))
#45 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#46 /opt/librenms/vendor/laravel/framework/src/Illuminate/Cookie/Middleware/EncryptCookies.php(59): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#47 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Cookie\Middleware\EncryptCookies->handle(Object(Illuminate\Http\Request), Object(Closure))
#48 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#49 /opt/librenms/app/Http/Middleware/CheckInstalled.php(46): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#50 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): App\Http\Middleware\CheckInstalled->handle(Object(Illuminate\Http\Request), Object(Closure))
#51 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#52 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(102): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#53 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Router.php(574): Illuminate\Pipeline\Pipeline->then(Object(Closure))
#54 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Router.php(533): Illuminate\Routing\Router->runRouteWithinStack(Object(Illuminate\Routing\Route), Object(Illuminate\Http\Request))
#55 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Router.php(511): Illuminate\Routing\Router->dispatchToRoute(Object(Illuminate\Http\Request))
#56 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php(176): Illuminate\Routing\Router->dispatch(Object(Illuminate\Http\Request))
#57 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(30): Illuminate\Foundation\Http\Kernel->Illuminate\Foundation\Http\{closure}(Object(Illuminate\Http\Request))
#58 /opt/librenms/vendor/fideloper/proxy/src/TrustProxies.php(57): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#59 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Fideloper\Proxy\TrustProxies->handle(Object(Illuminate\Http\Request), Object(Closure))
#60 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#61 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php(30): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#62 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Foundation\Http\Middleware\TransformsRequest->handle(Object(Illuminate\Http\Request), Object(Closure))
#63 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#64 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php(30): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#65 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Foundation\Http\Middleware\TransformsRequest->handle(Object(Illuminate\Http\Request), Object(Closure))
#66 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#67 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/ValidatePostSize.php(27): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#68 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Foundation\Http\Middleware\ValidatePostSize->handle(Object(Illuminate\Http\Request), Object(Closure))
#69 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#70 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/CheckForMaintenanceMode.php(46): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#71 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(148): Illuminate\Foundation\Http\Middleware\CheckForMaintenanceMode->handle(Object(Illuminate\Http\Request), Object(Closure))
#72 /opt/librenms/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php(53): Illuminate\Pipeline\Pipeline->Illuminate\Pipeline\{closure}(Object(Illuminate\Http\Request))
#73 /opt/librenms/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php(102): Illuminate\Routing\Pipeline->Illuminate\Routing\{closure}(Object(Illuminate\Http\Request))
#74 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php(151): Illuminate\Pipeline\Pipeline->then(Object(Closure))
#75 /opt/librenms/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php(116): Illuminate\Foundation\Http\Kernel->sendRequestThroughRouter(Object(Illuminate\Http\Request))
#76 /opt/librenms/html/index.php(53): Illuminate\Foundation\Http\Kernel->handle(Object(Illuminate\Http\Request))
#77 {main}

I did not debug it any further and I rolled back to PHP 7.2.x.

[email protected]:/opt/librenms# ./validate.php
====================================
Component | Version
--------- | -------
LibreNMS  | 1.48.1-27-gc7c1ca2c5
DB Schema | 2019_01_16_195644_add_vrf_id_and_bgpLocalAs (131)
PHP       | 7.2.14-1+ubuntu18.04.1+deb.sury.org+1
MySQL     | 10.1.38-MariaDB-0ubuntu0.18.04.1
RRDTool   | 1.7.0
SNMP      | NET-SNMP 5.7.3
====================================

[OK]    Composer Version: 1.8.3
[OK]    Dependencies up-to-date.
[OK]    Database connection successful
[OK]    Database schema correct

#7

One of our dependencies doesn’t support PHP 5.6 and PHP 7.3. We’ll get that updated so PHP 7.3 is supported some time soonish.


#8

Thank you.